mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.InteropServices.ComVisible(true)

The class is the abstract base class from which proxies must derive.

A client that uses an object across any kind of a remoting boundary is actually using a transparent proxy for the object. The transparent proxy provides the illusion that the actual object resides in the client's space. It achieves this by forwarding calls made on it to the real object using the remoting infrastructure.

The transparent proxy is itself housed by an instance of a managed runtime class of type . The implements a part of the functionality that is needed to forward the operations from the transparent proxy. Note that a proxy object inherits the associated semantics of managed objects such as garbage collection, support for fields and methods, and can be extended to form new classes. The proxy has a dual nature: it acts as an object of the same class as the remote object (transparent proxy), and it is a managed object itself.

A proxy object can be used without regard to any remoting subdivisions within a .

This class makes a link demand and an inheritance demand at the class level. A is thrown when either the immediate caller or the derived class does not have infrastructure permission. For details about security demands, see [<topic://cpconLinkDemands>] and [<topic://cpconInheritanceDemands>].

Provides base functionality for proxies.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with default values.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The current method creates a transparent proxy, which can be accessed through the method.

  A client that uses an object across any kind of a remoting boundary is actually using a transparent proxy for the object. The transparent proxy gives the impression that the actual object resides in the client's space. It achieves this by forwarding calls made on it to the real object using the remoting infrastructure.

  The transparent proxy is housed by an instance of a managed runtime class . The implements a part of the functionality that is needed to forward the operations from the transparent proxy. Note that a proxy object inherits the associated semantics of managed objects such as garbage collection and support for fields and methods, and can be extended to form new classes. The proxy has a dual nature: it acts as an object of the same class as the remote object (transparent proxy), and is a managed object itself.

  Initializes a new instance of the class that represents a remote object of the specified .

  The of the remote object for which to create a proxy.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The stub data is used by custom proxy users to decide what to do with an incoming method call. For example, the stub data might be information about the server's context that you can use to determine whether to execute the call locally, or send it through the remoting infrastructure.

  Initializes a new instance of the class.

  The of the remote object for which to create a proxy.
  A stub to associate with the new proxy instance.
  The stub data to set for the specified stub and the new proxy instance.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Attaches the current proxy instance to the specified remote .

  The that the current proxy instance represents.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Remoting.ObjRef `` To be added

  Creates an for the specified object type, and registers it with the remoting infrastructure as a client-activated object.

  A new instance of that is created for the specified type.

  The object type that an is created for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.MarshalByRefObject To be added

  Detaches the current proxy instance from the remote server object that it represents.

  The detached server object.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IntPtr ``

  If the proxy is requested for marshaling, then an IUnknown interface for the object represented by the current proxy instance is returned. If an IUnknown was previously cached by the method, then that instance is returned; otherwise, a new instance is returned.

  If the proxy is requested not for marshaling but for communication with unmanaged objects in the current process, then a [<topic://cpconcomcallablewrapper>] (CCW), which can be used in the current process for communication through COM, is returned.

  Requests an unmanaged reference to the object represented by the current proxy instance.

  A pointer to a [<topic://cpconcomcallablewrapper>] if the object reference is requested for communication with unmanaged objects in the current process through COM, or a pointer to a cached or newly generated IUnknown COM interface if the object reference is requested for marshaling to a remote location.

  true if the object reference is requested for marshaling to a remote location; false if the object reference is requested for communication with unmanaged objects in the current process through COM.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  Adds the transparent proxy of the object represented by the current instance of to the specified .

  The into which the transparent proxy is serialized. The source and destination of the serialization.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type To be added

  Returns the of the object that the current instance of represents.

  The of the object that the current instance of represents.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object ``

  The stub data is used by custom proxy users to decide what to do with an incoming method call. For example, the stub data might be information about the server's context that you can use to determine whether to execute the call locally, or send it through the remoting infrastructure.

  Retrieves stub data that is stored for the specified proxy.

  Stub data for the specified proxy.

  The proxy for which stub data is requested.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object To be added

  Returns the transparent proxy for the current instance of .

  The transparent proxy for the current proxy instance.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.MarshalByRefObject

  The method is used in scenarios involving an external in the same .

  Returns the server object that is represented by the current proxy instance.

  The server object that is represented by the current proxy instance.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(true)
  System.Runtime.Remoting.Activation.IConstructionReturnMessage ``

  If the parameter is null, then the method calls the default constructor for the new instance of the remote object that is represented by the current .

  Initializes a new instance of the object of the remote object that the current instance of represents with the specified .

  The result of the construction request.

  A construction call message that contains the constructor parameters for the new instance of the remote object that is represented by the current . Can be null.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Remoting.Messaging.IMessage ``

  When the transparent proxy that is backed by the is called, it delegates the calls to the method. The method transforms the message in the parameter into a , and sends it to the remote object that is represented by the current instance of .

  The parameter provides a dictionary through the property. The dictionary contains name/value pairs of information about the method call, such as the name of the method called and its parameters.

  When overridden in a derived class, invokes the method that is specified in the provided on the remote object that is represented by the current instance.

  The message returned by the invoked method, containing the return value and any out or ref parameters.

  A that contains a of information about the method call.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  When an unmanaged proxy attempts to communicate with the common language runtime through COM, the runtime resolves the remote object that is represented by the unmanaged proxy. If the remote object is managed and also resides in a common language environment, then instead of communicating with it through distributed COM, the object is sent to the current process.

  If the remote object is not derived from , then it is serialized and copied to the current location. If it is derived from , then it returns a transparent proxy, and the remoting infrastructure caches the unmanaged proxy (the IUnknown interface) in the transparent proxy for future use.

  Stores an unmanaged proxy of the object that is represented by the current instance.

  A pointer to the IUnknown interface for the object that is represented by the current proxy instance.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The stub data is used by custom proxy users to decide what to do with an incoming method call. For example, the stub data might be information about the server's context that you can use to determine whether to execute the call locally, or send it through the remoting infrastructure.

  Sets the stub data for the specified proxy.

  The proxy for which to set stub data. The new stub data.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IntPtr `` To be added: an object of type 'Guid&' To be added To be added: an object of type 'IntPtr' To be added